"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// parseMarkdownFiles.test.js
const vitest_1 = require("vitest");
const formatMarkdownFiles_1 = require("./formatMarkdownFiles");
// Tests for parseMarkdownFiles function with different formats
(0, vitest_1.test)("formatMarkdownFiles outputs bold format", () => {
    const files = {
        "index.html": "<!-- HTML content -->",
        "script.js": "// JavaScript content",
        "styles.css": "/* CSS content */",
    };
    const markdownString = (0, formatMarkdownFiles_1.formatMarkdownFiles)(files);
    (0, vitest_1.expect)(markdownString).toBe(`**index.html**

\`\`\`html
<!-- HTML content -->
\`\`\`

**script.js**

\`\`\`javascript
// JavaScript content
\`\`\`

**styles.css**

\`\`\`css
/* CSS content */
\`\`\``);
});
